@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@1,700&display=swap');

:root {
    --bleu: #5A86BF;
    --bleuciel: #7E9ABF;
    --taupe: #A67153;
    --marron: #A67C49;
    --marronclair: #93441A;
    --clair: #C1C9D9;
    --blanc: #ffffff;
    --gris: #c7c7c7;
  }
  
  * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  ul, ol {
    list-style: none;
  }
  a {
    text-decoration: none;
  }
  body {
    font-family: 'Verdana', 'Arial', sans-serif;
    font-size: 16px;
    line-height: 1.4;
    background-color: var(--gris);
  }
  
  .wrap {
    width: 100%;
    max-width: 960px;
    margin: 0 auto;
    padding: 0 10px;
  }
  .container {
    min-height: calc(100vh - 220px);
  }
  #masthead {
    padding: 1rem 0;
    background-color: var(--blanc);
    height: 60px;
    nav ul {
      display: flex;
      gap: 1rem;
      justify-content: center;
      li a {
        color: black;
      }
    }
  }
  
  #colophon {
    background-color: var(--bleu);
    color: var(--blanc);
    padding: 1rem 0;
    text-align: center;
    height: 60px;
  }

  .content{
    display: flex;
    .sidebar{
        background-color: var(--marron);
        height: 100vh;
        width: 250px;   
        display: flex;
        justify-content: center;
        .container{
            color: var(--blanc);
            display: flex;
            flex-direction: column;
            h1{
                display: flex;
                justify-content: center;
                margin: 2rem 0;
                font-family: 'Josefin Sans', sans-serif;
            }
            .category{
                display: flex;
                ul li{
                    border-top: solid var(--blanc) 1px;
                    width: 150px;
                    margin-bottom: .5rem;
                    display: flex;
                    flex-direction: column;
                    h2{
                        color: var(--blanc);
                        padding: 1rem 0;
                        display: flex;
                        align-items: center;
                        font-size: 1.2em;
                        i{
                            padding-right: .5rem;
                        }
                    }
                    a{
                        color: var(--blanc);
                        padding: .2rem 0;
                    }
                }
            } 
            .return{
                display: flex;
                justify-content: center;
                align-items: center;
                margin-top: 5rem;
                height: 30px;
                width: 30px;
                border-radius: 100%;
                transition: border .5s;
                a{
                    color: var(--blanc);
                }
            }
            .return:hover{
                border: 1px solid #fff;

            }
        }
      }
  }

  .container{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    .tableau{
        width: 90%;
        table{
            margin: 0 auto;
            max-height: 150px;
            overflow-y: scroll;
        }
        margin: 2rem 0 0 0;
        h2{
            font-family: 'Josefin Sans', sans-serif;
            margin: 2rem 0;
            border-bottom: solid 1px;
            display: flex;
            justify-content: center;
        }
        background-color: var(--blanc);
        padding: 1rem;
        table{
            thead tr th{
                padding: 1rem 2rem;
            }
            tbody {
                tr{
                    td{
                        padding: .2rem 2rem;
                    }
                } 
                .options{
                    display: flex;
                    text-align: center;
                    gap: .2rem;
                    flex-direction: column;
                    .delete{
                        color: red;
                        border: .5px red solid;
                    }
                    .edit{
                        color: green;
                        border: .5px green solid;
                    }
                    .end{
                        color: red;
                        border: .5px red solid;
                    }
                }
            }
        }
    }
  }

  .containerAdd{
    display: flex;
    flex-direction: column;
    width: 50%;
    background-color: var(--bleuciel);
    padding: 2rem;
    margin-top: 2rem;
    color: var(--blanc);
    h1{
        font-size: 1.4em;
        display: flex;
        justify-content: center;
        margin: .5rem 0;
        font-family: 'Josefin Sans', sans-serif;
    }
    form{
        display: flex;
        flex-direction: column;
        span{
            color: red;
            font-size: 0.8em;
            margin-bottom: 1rem;
        }
    }
    .form-control input{
        width: 100%;
        outline: none;
        border: none;
        padding: .5rem;
        border-radius: 10px;
        background-color: rgb(240, 240, 240);
        margin-bottom: 1rem;
    }
    input[type=submit]{
        cursor: pointer;
        width: 100%;
        border: solid .2px ;
        padding: .5rem;
        border-radius: 10px;
        background-color: rgb(240, 240, 240);
        border: none;
        margin-top: 2rem;
        transition: all .5s;
    }
    input[type=submit]:hover{
        background-color: green;
        scale: 1.05;
        color: var(--blanc);
    }
}


.containerEdit{
    display: flex;
    flex-direction: column;
    width: 50%;
    background-color: var(--marron);
    padding: 2rem;
    margin-top: 2rem;
    color: var(--blanc);
    h1{
        font-size: 1.4em;
        display: flex;
        justify-content: center;
        margin: .5rem 0;
        font-family: 'Josefin Sans', sans-serif;
    }
    form{
        display: flex;
        flex-direction: column;
        span{
            color: red;
            font-size: 0.8em;
            margin-bottom: 1rem;
        }
    }
    .form-control input{
        width: 100%;
        outline: none;
        border: none;
        padding: .5rem;
        border-radius: 10px;
        background-color: rgb(240, 240, 240);
        margin-bottom: 1rem;
    }
    input[type=submit]{
        cursor: pointer;
        width: 100%;
        border: solid .2px ;
        padding: .5rem;
        border-radius: 10px;
        background-color: rgb(240, 240, 240);
        border: none;
        margin-top: 2rem;
        transition: all .5s;
    }
    input[type=submit]:hover{
        background-color: green;
        scale: 1.05;
        color: var(--blanc);
    }
}


.containerProduct{
    display: flex;
    flex-direction: column;
    width: 50%;
    background-color: var(--bleu);
    padding: 2rem;
    margin-top: 2rem;
    color: var(--blanc);
    h1{
        font-size: 1.4em;
        display: flex;
        justify-content: center;
        margin: .5rem 0;
        font-family: 'Josefin Sans', sans-serif;
    }
    form{
        display: flex;
        flex-direction: column;
        span{
            color: red;
            font-size: 0.8em;
            margin-bottom: 1rem;
        }
    }
    .form-control input{
        width: 100%;
        outline: none;
        border: none;
        padding: .5rem;
        border-radius: 10px;
        background-color: rgb(240, 240, 240);
        margin-bottom: 1rem;
    }
    .form-control textarea{
        width: 100%;
        outline: none;
        border: none;
        padding: .5rem;
        border-radius: 10px;
        background-color: rgb(240, 240, 240);
        margin-bottom: 1rem;
        resize: none;
        height: 200px;
    }
    input[type=submit]{
        cursor: pointer;
        width: 100%;
        border: solid .2px ;
        padding: .5rem;
        border-radius: 10px;
        background-color: rgb(240, 240, 240);
        border: none;
        margin-top: 2rem;
        transition: all .5s;
    }
    input[type=submit]:hover{
        background-color: green;
        scale: 1.05;
        color: var(--blanc);
    }
}


.containerAdd{
    display: flex;
    flex-direction: column;
    width: 50%;
    background-color: var(--bleuciel);
    padding: 2rem;
    margin-top: 2rem;
    color: var(--blanc);
    h1{
        font-size: 1.4em;
        display: flex;
        justify-content: center;
        margin: .5rem 0;
        font-family: 'Josefin Sans', sans-serif;
    }
    form{
        display: flex;
        flex-direction: column;
        span{
            color: red;
            font-size: 0.8em;
            margin-bottom: 1rem;
        }
    }
    .form-control input{
        width: 100%;
        outline: none;
        border: none;
        padding: .5rem;
        border-radius: 10px;
        background-color: rgb(240, 240, 240);
        margin-bottom: 1rem;
    }
    input[type=submit]{
        cursor: pointer;
        width: 100%;
        border: solid .2px ;
        padding: .5rem;
        border-radius: 10px;
        background-color: rgb(240, 240, 240);
        border: none;
        margin-top: 2rem;
        transition: all .5s;
    }
    input[type=submit]:hover{
        background-color: green;
        scale: 1.05;
        color: var(--blanc);
    }
}


.containerBorrow{
    display: flex;
    flex-direction: column;
    width: 50%;
    background-color: var(--marronclair);
    padding: 2rem;
    margin-top: 2rem;
    color: var(--blanc);
    h1{
        font-size: 1.4em;
        display: flex;
        justify-content: center;
        margin: .5rem 0;
        font-family: 'Josefin Sans', sans-serif;
    }
    form{
        display: flex;
        flex-direction: column;
        span{
            color: red;
            font-size: 0.8em;
            margin-bottom: 1rem;
        }
    }
    .form-control input{
        width: 100%;
        outline: none;
        border: none;
        padding: .5rem;
        border-radius: 10px;
        background-color: rgb(240, 240, 240);
        margin-bottom: 1rem;
    }
    input[type=submit]{
        cursor: pointer;
        width: 100%;
        border: solid .2px ;
        padding: .5rem;
        border-radius: 10px;
        background-color: rgb(240, 240, 240);
        border: none;
        margin-top: 2rem;
        transition: all .5s;
    }
    input[type=submit]:hover{
        background-color: green;
        scale: 1.05;
        color: var(--blanc);
    }
}